package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFAZ6 extends MwfRequest<MWFAZ6, MWFAZ6Response> {

    @Parameter(name = "APP_KEY")
    MWFAZ6 appKey(Long appKey);
    @Parameter(name = "DECISION_TYPE")
    MWFAZ6 decisionType(String decisionType);
    @Parameter(name = "EMP_ROLE")
    MWFAZ6 empRole(String empRole);
    @Parameter(name = "FILTER_VALID_ONLY_FLAG")
    MWFAZ6 filterValidOnlyFlag(Long filterValidOnlyFlag);
    @Parameter(name = "INST_CUST_ID")
    MWFAZ6 instCustId(Long instCustId);
    @Parameter(name = "INST_DOC_KEY")
    MWFAZ6 instDocKey(Long instDocKey);
    @Parameter(name = "INST_OBLGTN_KEY")
    MWFAZ6 instOblgtnKey(Long instOblgtnKey);
    @Parameter(name = "REASONS_FILTER")
    MWFAZ6 reasonsFilter(String reasonsFilter);
    @Parameter(name = "REASON_ADD_ROLE")
    MWFAZ6 reasonAddRole(String reasonAddRole);
    @Parameter(name = "REASON_TEXT_TYPE")
    MWFAZ6 reasonTextType(String reasonTextType);
    @Parameter(name = "SCREEN_ID")
    MWFAZ6 screenId(String screenId);
}
